org.wildfly.swarm.config.remoting

## Class SASLSecurity<T extends SASLSecurity<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.remoting.SASLSecurity<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SASLSecurity<T extends SASLSecurity<T>>
      extends HashMap

  The "sasl" element contains the SASL authentication configuration for this connector.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SASLSecurity.SASLSecurityResources` Child mutators for SASLSecurity

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASLSecurity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `includeMechanism(String value)` The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names.
    `List<String>` | `includeMechanisms()` The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names.
    `T` | `includeMechanisms(List<String> value)` The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names.
    `T` | `includeMechanisms(String... args)` The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names.
    `T` | `policySaslPolicy()` The policy configuration.
    `T` | `policySaslPolicy(PolicySASLPolicy value)` The policy configuration.
    `T` | `policySaslPolicy(PolicySASLPolicyConsumer consumer)` The policy configuration.
    `T` | `policySaslPolicy(PolicySASLPolicySupplier supplier)` The policy configuration.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `List<String>` | `qop()` The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.
    `T` | `qop(List<String> value)` The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.
    `T` | `qop(String... args)` The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.
    `T` | `qop(String value)` The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `reuseSession()` The optional nested "reuse-session" boolean element specifies whether or not the server should attempt to reuse previously authenticated session information.
    `T` | `reuseSession(Boolean value)` The optional nested "reuse-session" boolean element specifies whether or not the server should attempt to reuse previously authenticated session information.
    `Boolean` | `serverAuth()` The optional nested "server-auth" boolean element specifies whether the server should authenticate to the client.
    `T` | `serverAuth(Boolean value)` The optional nested "server-auth" boolean element specifies whether the server should authenticate to the client.
    `List<String>` | `strength()` The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.
    `T` | `strength(List<String> value)` The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.
    `T` | `strength(String... args)` The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.
    `T` | `strength(String value)` The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.
    `SASLSecurity.SASLSecurityResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SASLSecurity

          public SASLSecurity()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SASLSecurity.SASLSecurityResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### policySaslPolicy

          public T policySaslPolicy(PolicySASLPolicy value)

      The policy configuration.

    - #### policySaslPolicy

          public T policySaslPolicy(PolicySASLPolicyConsumer consumer)

      The policy configuration.

    - #### policySaslPolicy

          public T policySaslPolicy()

      The policy configuration.

    - #### policySaslPolicy

          public T policySaslPolicy(PolicySASLPolicySupplier supplier)

      The policy configuration.

    - #### includeMechanisms

          public List<String> includeMechanisms()

      The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names. No mechanisms will be allowed which are not present in this list.

    - #### includeMechanisms

          public T includeMechanisms(List<String> value)

      The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names. No mechanisms will be allowed which are not present in this list.

    - #### includeMechanism

          public T includeMechanism(String value)

      The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names. No mechanisms will be allowed which are not present in this list.

    - #### includeMechanisms

          public T includeMechanisms(String... args)

      The optional nested "include-mechanisms" element contains a whitelist of allowed SASL mechanism names. No mechanisms will be allowed which are not present in this list.

    - #### qop

          public List<String> qop()

      The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.

    - #### qop

          public T qop(List<String> value)

      The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.

    - #### qop

          public T qop(String value)

      The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.

    - #### qop

          public T qop(String... args)

      The optional nested "qop" element contains a list of quality-of-protection values, in decreasing order of preference.

    - #### reuseSession

          public Boolean reuseSession()

      The optional nested "reuse-session" boolean element specifies whether or not the server should attempt to reuse previously authenticated session information. The mechanism may or may not support such reuse, and other factors may also prevent it.

    - #### reuseSession

          public T reuseSession(Boolean value)

      The optional nested "reuse-session" boolean element specifies whether or not the server should attempt to reuse previously authenticated session information. The mechanism may or may not support such reuse, and other factors may also prevent it.

    - #### serverAuth

          public Boolean serverAuth()

      The optional nested "server-auth" boolean element specifies whether the server should authenticate to the client. Not all mechanisms may support this setting.

    - #### serverAuth

          public T serverAuth(Boolean value)

      The optional nested "server-auth" boolean element specifies whether the server should authenticate to the client. Not all mechanisms may support this setting.

    - #### strength

          public List<String> strength()

      The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.

    - #### strength

          public T strength(List<String> value)

      The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.

    - #### strength

          public T strength(String value)

      The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.

    - #### strength

          public T strength(String... args)

      The optional nested "strength" element contains a list of cipher strength values, in decreasing order of preference.

Copyright © 2017 JBoss by Red Hat. All rights reserved.